Bind transfer to transaction
Allows to bind a transaction to a deposit/withdrawal attempt.
HTTP Request
POST /v1/transfers/{id}/bind-transaction/
Where:
{id}— transfer ID (UUID)
Request body
{
"tx_hash": "string",
"token_id": "string | null",
"output_address": "string | null"
}
Field descriptions
| Field | Type | Required | Description |
|---|---|---|---|
tx_hash | string | Yes | The hash of the transaction that contains the transfer. |
token_id | string / null | No | The ID of the token. Required if not defined before. |
output_address | string / null | No | Recipient address. Required if not defined before. |
Example request
{
"tx_hash": "0x39921fe47d50e32b4537e5e3453d1dfb407edf2e8d946d57cc0bab7d4e24a2f9",
"token_id": "native",
"output_address": "0x56eddb7aa87536c09ccc2793473599fd21a8b17f"
}
Response
Returns a REGISTERED_TRANSFER_EXTRA object.
Example response
{
"id": "05c69c2a-5602-4efe-9ae3-816b695fad36",
"client_id": "id0001",
"attempt_id": "0a805206bab649a68b3408032a7352e6",
"registered_at": "2025-11-17T13:07:36.508069+03:00",
"risk_level": "none",
"risk_score": 0.0,
"network": "ETH",
"token_id": "native",
"token_symbol": "ETH",
"tx_status": "binding",
"tx_hash": "0x39921fe47d50e32b4537e5e3453d1dfb407edf2e8d946d57cc0bab7d4e24a2f9",
"occurred_at": null,
"input_address": null,
"output_address": "0x56eddb7aa87536c09ccc2793473599fd21a8b17f",
"direction": "outgoing",
"amount": 120.5,
"value_in_fiat": 291975.15,
"check_state": {
"exposure": "queued",
"exposure_checked_at": "2026-01-29T13:33:15.758320Z",
"counterparty": "checked",
"counterparty_checked_at": "2026-01-29T13:33:15.758320Z",
"sanctions": "none",
"sanctions_checked_at": null
},
"fiat_currency": "USD"
}
Try it
POST/v1/transfers/{id}/bind-transaction/
API KEY ID
API KEY SECRET
Path params
id
Body (JSON)
HTTP Request
Press "Send Request" to generate HTTP request.
HTTP …
{
// Response will be shown here after the request.
}